# Query » \MySQL_Util
Author: Mike van Riel

MySQL-specific backup, import and creation methods

package | Query
subpackage | Drivers

### Methods

## Enable calling driver methods

    __call(string $method, array $args)

Inherited

inherited_from | \DB_Util::__call()

### Parameters

#### $method

`string`

#### $args

`array`

## Save a reference to the current connection object

    __construct(object $conn) : void

### Parameters

#### $conn

`object`

&$conn

## Create an SQL backup file for the current database's data

    backup_data(array $exclude) : string

### Parameters

#### $exclude

`array`

### Returns

`string`

## Create an SQL backup file for the current database's structure

    backup_structure() : string

### Returns

`string`

## Convienience public function for creating a new MySQL table

    create_table(string $name, array $columns, array $constraints, array $indexes) : string

### Parameters

#### $name

`string`

#### $columns

`array`

#### $constraints

`array`

#### $indexes

`array`

### Returns

`string`

## Convience public function for droping a table

    delete_table(string $name) : string

### Parameters

#### $name

`string`

### Returns

`string`

### Properties

## Reference to the current connection object

    $conn

Inherited

inherited_from | \DB_Util::$$conn